%global         momorel 1

Name:           perl-Class-Tiny
Version:        1.000
Release:        %{momorel}m%{?dist}
Summary:        Minimalist class construction
License:        Apache
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-Tiny/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Class-Tiny-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008001
BuildRequires:  perl-base
BuildRequires:  perl-Carp
BuildRequires:  perl-Cwd
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp
BuildRequires:  perl-IO
BuildRequires:  perl-IPC-Open3
BuildRequires:  perl-lib
BuildRequires:  perl-List-Util
BuildRequires:  perl-Test-Simple >= 0.96
Requires:       perl-Carp
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module offers a minimalist class construction kit in around 120 lines
of code. Here is a list of features:

%prep
%setup -q -n Class-Tiny-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTING cpanfile dist.ini LICENSE META.json perlcritic.rc README tidyall.ini
%{perl_vendorlib}/Class/Tiny.pm
%{_mandir}/man3/*

%changelog
* Sun Aug  3 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000-1m)
- update to 1.000

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.014-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.014-2m)
- rebuild against perl-5.18.2

* Sun Dec 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.014-1m)
- update to 0.014

* Sat Nov  2 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.012-1m)
- update to 0.012

* Fri Sep 27 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.011-1m)
- update to 0.011

* Fri Sep 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.010-1m)
- update to 0.010

* Wed Sep 18 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.009-1m)
- update to 0.009

* Sun Sep 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
